(function($) {



	$.fn.jphotogrid = function(settings, callback) {
		settings = $.extend(true, {
			activeClass: 'active',
			selectedClass: 'selected',
			baseCSS: {},
			selectedCSS: {},
			picArr:new Array()
		}, settings);

		var url = settings.flickrbase + settings.feedapi + '?';
		var first = true;

         var    picArr = [[0,0,262,204],[1,281,173,128],[61,147,194,144],[149,-1,173,128],[155,297,173,128],[235,158,173,128]];

		//Convert floats to absolute
		function toAbsolute(el){
			$(el).children().each(function(){
				var pos = $(this).position();
				$(this).data('ptop',Math.floor(Number(pos.top)) + 'px');
				$(this).data('pleft',Math.floor(Number(pos.left)) + 'px');
			}).each(function(){
				placeOriginal(this);
			});
		}

		function placeOriginal(el, animate, callback){
			var dtop = $(el).data('ptop');
			var dleft = $(el).data('pleft');
			var oDw = $(el).data('oDw');
			var oDh = $(el).data('oDh');
               //alert(oDh)
			var props = $.extend({
				top: dtop,
				left: dleft
			}, {width:oDw,height:oDh,paddingTop:0});
			if(animate){
				$(el).animate(props, '1000', function(){
					if($.isFunction(callback)) callback();$(el).find(".imgBig").attr("src","http://css4.game2.cn/game2_new/img/vid.gif");
				});
                                 //$(el).find('div.player').animate({width:'229px',height:'155px',left:'17px',top:'17px'},300);
								$(el).find(".closeWow").hide();
                                $(el).find('div.player').animate({left:'15px',top:'17px'},300);
                                $(el).find("#player").hide();
								$(el).find("div.player").children(".imgHi").show();

			}
			else{
				$(el).css($.extend(props, {position: 'absolute'}));
			}
		}

		function hideSelected(callback){
			$container.find('.' + settings.selectedClass).each(function(){
				$(this).removeClass(settings.selectedClass);
				placeOriginal(this, true);
			});
			if($.isFunction(callback)) callback();
		}

		function select(el){
			hideSelected(function(){
				//var wd=$(el).width()*2+'px';
				//var hig=$(el).height()*2+'px';
				$(el).find("div.player").children(".imgHi").hide();
				HF=($(document).height()-414)/2;
				WEB=($(window).width()-545)/2;
				var bDw=$(document.body).outerWidth(true);
				var bDh=$(document.body).outerHeight(true);
				$(el).addClass('selected').removeClass('active');
			        //$(el).find('div.player').animate({width:'458px',height:'319px',left:'34px',top:'34px'},300);
				$(el).find(".imgBig").attr("src","http://css4.game2.cn/game2_new/img/voLox.gif");
				$(el).find(".closeWow").show();
                $(el).find('div.player').animate({left:'34px',top:'34px'},300);
				$(el).animate({width:'526px',height:'417px',left:WEB,top:HF},300,function(){$(".zZao").css({'width':bDw,'height':bDh}).show();$(el).find("#player").show();});


			});
		}

		for(var key in settings.qstrings){
			if(!first)
				url += '&';
			url += key + '=' + settings.qstrings[key];
			first = false;
		}

		return $(this).each(function(){
			$container = $(this);

			toAbsolute(this);

			$(this).children()
				.css('cursor', 'pointer')
				.hover(function(){
					if(!$(this).hasClass(settings.selectedClass))
						$(this).addClass(settings.activeClass);
				},function(){
					$(this).removeClass(settings.activeClass);
				});
			$('.' + settings.activeClass).live('click', function(){

				select(this);
			});
			$('.' + settings.selectedClass).live('click', function(){

			   var sep=$(this).attr('class').substr(1,1);$(".zZao").hide();
			   for(var i=0;i<picArr.length;i++){

				   if(sep==i){
					   //alert(sep)
                       var testGetArrValue=picArr[i];
					   for(var j=0;j<testGetArrValue.length;j++){
						   var oDw=parseInt(testGetArrValue[2]);
						   var oDh=parseInt(testGetArrValue[3]);

						   $(this).data('oDw',Math.floor(Number(oDw)) + 'px');
						   $(this).data('oDh',Math.floor(Number(oDh)) + 'px');
						   hideSelected();
						   }

					   }
				   }

			});

			$(this).find('div.player')
				.hover(function(){
					$(this).css('opacity', 1);
				},function(){
					$(this).css('opacity',1);
				})
			});
	}
})(jQuery);

$(document).ready(function(){

	$('#large').jphotogrid({
		baseCSS: {
			width: '200px',
			height: '104px',
			padding: '0px'
		},
		selectedCSS: {
			top: '50px',
			left: '100px',
			width: '257px',
			height: '191px',
			padding: '0px',
			zIndex:11
		}
	});
	$('.menu').css({top:'-60px'}).animate({ 'top':'0px'}, 800)
	$('#menuUl > li').hover(
                function () {
                    var $this = $(this);
                    $('div',$this).stop(true,true).animate({
                            'top':'1px'
                        }, {duration:'fast', easing:'easeInOutQuart'});
                    $('i',$this).stop(true,true).animate({
                            'top':'-10px'
                        }, 400);
                },
                function () {
                    var $this = $(this);
                    $('div',$this).stop(true,true).animate({
                            'top':'-142px'
                        }, 300);
                    $('i',$this).stop(true,true).animate({
                            'top':'50px'
                        }, 400);
                }
            );
	$('.video').animate({'opacity': 0}, 400,function(){$(this).animate({'opacity': 1})})

});